# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=python-pyparsing
pkgver=3.0.9
pkgrel=2
pkgdesc="General parsing module for Python"
arch=('x86_64')
url="https://github.com/pyparsing/pyparsing/"
license=('MIT')
depends=('python')
makedepends=('python-build' 'python-installer' 'python-flit-core')
source=(https://github.com/pyparsing/pyparsing/releases/download/pyparsing_${pkgver}/${pkgname#*-}-${pkgver}.tar.gz)
sha256sums=(2b020ecf7d21b687f219b71ecad3631f644a47f01403fa1d1036b0c6416d70fb)

build() {
    cd ${pkgname#*-}-${pkgver}

    python3 -m build -nw

}

package() {
    cd ${pkgname#*-}-${pkgver}

    python3 -m installer --destdir=${pkgdir} dist/*.whl
}
